; SWAPPER.AHK - For moving back and forth through nestetd Hyperspin levels.
; by Stefan Gagne of http://stefangagne.com

; Please consult the accompanying YouTube video for details on how to set
; up the swapper system for your HyperSpin.

; * You will need to change c:\directories to appropriate ones for your setup.

; Display the "Now Loading" splash image. 
; * Comment these lines out with semicolons if you aren't using this feature.
SplashImage, c:\emulation\controls\loading.png, B A
MouseMove 1600,0

; Clean up the swap parameter.
oldstr = "%1%"
StringReplace, newstr, oldstr,",,All

; Shut down Hyperspin. 
WinClose, HyperSpin

; Copy the Settings.ini file AND the Main Menu.xml file for this swapper.
FileCopy, c:\emulation\hyperspin\settings\Settings-%newstr%.ini, c:\emulation\hyperspin\settings\Settings.ini, 1
FileCopy, c:\emulation\hyperspin\databases\main menu\%newstr%.xml, c:\emulation\hyperspin\databases\main menu\Main Menu.xml, 1

; All set! Restart hyperspin.
Run, c:\emulation\hyperspin\hyperspin.exe

; Once Hyperspin has finished loading, making sure via AHK class...
WinWait, ahk_class ThunderRT6FormDC

; ...everything's good, so we turn off the splash image.
SplashImage, off

; Done!
ExitApp